JPEG2JP2(1)

NAME
jpeg2jp2 - Convert JPEG to JPEG 2000.

DESCRIPTION
usage: jpeg2jp2 [--capture-resolution VRESC HRESC] [--display-resolution VRESD HRESD] [--cratio CRATIO [CRATIO ...]] [--psnr PSNR [PSNR ...]] [--codeblocksize cblkh cblkw] [--numres NUMRES] [--prog {lrcp,rlcp,rpcl,prcl,cprl}] [--irreversible] [--eph] [--plt] [--sop] [--num-threads NUM_THREADS] [--tilesize NROWS NCOLS] [--include-icc-profile] [--help] [--verbosity {critical,error,warning,info,debug}] jpeg jp2k

  options:

--help, -h
    Show this help message and exit

--verbosity {critical,error,warning,info,debug}
    Logging level, one of "critical", "error", "warning", "info", or "debug". (default: warning)

  JP2K:

    Pass-through arguments to Jp2k.

--capture-resolution VRESC HRESC
    Capture resolution parameters (default: None)

--display-resolution VRESD HRESD
    Display resolution parameters (default: None)

--cratio CRATIO [CRATIO ...]
    Compression ratios for successive layers. (default: None)

--psnr PSNR [PSNR ...]
    PSNR for successive layers. (default: None)

--codeblocksize cblkh cblkw
    Codeblock size. (default: None)

--numres NUMRES
    Number of decomposition levels. (default: 6)

--prog {lrcp,rlcp,rpcl,prcl,cprl}
    Progression order. (default: lrcp)

--irreversible
    Use irreversible 9x7 transform. (default: False)

--eph
    Generate EPH markers. (default: False)

--plt
    Generate PLT markers. (default: False)

--sop
    Generate SOP markers. (default: False)

--num-threads NUM_THREADS
    Use this many threads/cores. (default: 1)

--tilesize NROWS NCOLS
    Dimensions of JP2K tile. If not provided, the JPEG2000 image will be written as a single tile. (default: None)

  JPEG:

    Arguments specific to conversion of JPEG imagery.

--include-icc-profile
    If specified, subsume any ICC profile found in an APP2 segment(s) into the colour specification box. This will involve a file copy and is therefore a potentially costly operation. (default: False)

jpeg
    Input JPEG file.

jp2k
    Output JPEG 2000 file.